/* envwipe.c - remove certain variables from the environment
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif				/* HAVE_CONFIG_H */
#include <stdlib.h>


/* Remove all environment variables to be used from the environment.
 */
void wipe_environ(void)
{
	unsetenv("MCONV_LDB");
	unsetenv("MCONV_USER");
	unsetenv("MVIEW_DIR");
	unsetenv("MVIEW_LDB");
	unsetenv("MVIEW_NAMELINE");
	unsetenv("MVIEW_USER");
	unsetenv("MVIEW_EDIT_TMP");
	unsetenv("BBS_XWARN");
	unsetenv("BBS_USERS_ON_TIME");
	unsetenv("BBS_SPACE_EXIT");
	unsetenv("BBS_MESSAGES");
	unsetenv("BBS_PRIVS");
	unsetenv("BBS_BANS");
	unsetenv("BBS_LEVEL");
	unsetenv("BBS_EMAIL");
	unsetenv("BBS_LOGINS");
	unsetenv("BBS_LOGOUT");
	unsetenv("BBS_PASS");
	unsetenv("BBS_SCANONLY");
	unsetenv("SPOOL_FILE");
	unsetenv("NAMELINE");
	unsetenv("ACCOUNT");
	unsetenv("MONO_ACCOUNT");
	unsetenv("KEYPATH");
	unsetenv("MONO_KEYPATH");
	unsetenv("EDITOR_OPTIONS");
}

/* EOF */
